Tecnología: alterMIME renuncia a los mensajes de correos salientes


alterMIME es una herramienta que automáticamente puede agregar una renuncia a los correos electrónicos. En este artículo voy a explicarcómo instalarlo como un filtro de Postfix en Debian Squeeze.

Yo no emiten ninguna garantía de que esto funcionará para usted!

1 Nota preliminar

Estoy asumiendo que ya está instalado Postfix y completamente funcional - no voy a explicar cómo configurar Postfix y configurar cuentas de correo electrónico en este tutorial.

2 Instalación alterMIME

alterMIME se puede instalar de la siguiente manera:

apt-get install alterMIME

A continuación, creamos el usuario del filtro con el directorio / var / spool / filter - alterMIME se ejecute como ese usuario:

useradd-r-c "Filtros sufijo"-d / var / spool / filtro filtro
mkdir / var / spool / filtro
chown filtro: filtro / var / spool / filtro
chmod 750 / var / spool / filtro

Después creamos el script / etc / postfix / exención de responsabilidad que ejecuta alterMIME. AlterMIMEpaquete Debian viene con un script de ejemplo que podemos simplemente copiar a / / etc postfix / descargo de responsabilidad:

cp / usr / share / doc / alterMIME / examples / postfix_filter.sh / etc / postfix / aviso legal
chgrp filtro / etc / postfix / aviso legal
chmod 750 / etc / postfix / aviso legal

Ahora el problema con este guión es que no distingue entre mensajes de correo electrónico entrantes y salientes - simplemente añade un descargo de responsabilidad a todos los mensajes. Normalmente se emplea renuncias sólo para mensajes de correo electrónico salientes, e incluso entonces no para todas las direcciones del remitente. Por lo tanto, he modificado el archivo / etc / postfix / renuncia guión un poco - vamos a llegar a eso en un minuto.

En este momento, vamos a crear el fichero / etc / postfix / disclaimer_addresses que posee todas las direcciones de correo electrónico del remitente (uno por línea) para los que alterMIME debe agregar un descargo de responsabilidad:

vi / etc / postfix / disclaimer_addresses

falko@example.com
joe@example.org
tom@example.net

Ahora abrimos
 el archivo / etc / postfix / aviso legal y modificarlo de la siguiente manera (me han marcado las partes que he cambiado):

vi / etc / postfix / aviso legal

#!/bin/sh
# Localize these.
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail

####### Changed From Original Script #######
DISCLAIMER_ADDRESSES=/etc/postfix/disclaimer_addresses
####### Changed From Original Script END #######

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }

cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

####### Changed From Original Script #######
# obtain From address
from_address=`grep -m 1 "From:" in.$$ | cut -d "<" -f 2 | cut -d ">" -f 1`

if [ `grep -wi ^${from_address}$ ${DISCLAIMER_ADDRESSES}` ]; then
  /usr/bin/altermime --input=in.$$ \
                   --disclaimer=/etc/postfix/disclaimer.txt \
                   --disclaimer-html=/etc/postfix/disclaimer.txt \
                   --xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
                    { echo Message content rejected; exit $EX_UNAVAILABLE; }
fi
####### Changed From Original Script END #######

$SENDMAIL "$@" <in.$$

exit $?

lo siguiente que necesitamos el archivo de texto / etc / postfix / disclaimer.txt que tiene nuestro texto de la renuncia. AlterMIME paquete Debian viene con un texto de ejemplo que se puede utilizar por el momento(por supuesto, usted puede modificarlo si lo desea):

cp / usr / share / doc / alterMIME / examples / disclaimer.txt / etc / postfix / disclaimer.txt

Por último tenemos que decirle a Postfix que debe utilizar el archivo / etc / postfix / script renuncia a incluir avisos a los correos electrónicos salientes. Abrir / etc / postfix / master.cf y add-o content_filter dfilt =: a la línea smtp:

vi / etc / postfix / master.cf

#
# Postfix master process configuration file.  For details on the format
# of the file, see the master(5) manual page (command: "man 5 master").
#
# Do not forget to execute "postfix reload" after editing this file.
#
# ==========================================================================
# service type  private unpriv  chroot  wakeup  maxproc command + args
#               (yes)   (yes)   (yes)   (never) (100)
# ==========================================================================
smtp      inet  n       -       -       -       -       smtpd
   -o content_filter=dfilt:
[...]

Al final
 del mismo archivo, añadir las dos líneas siguientes:

[...]
dfilt     unix    -       n       n       -       -       pipe
    flags=Rq user=filter argv=/etc/postfix/disclaimer -f ${sender} -- ${recipient}

Reiniciar
 Postfix después:

/ etc / init.d / postfix restart

¡Eso es! Ahora, un descargo de responsabilidad, debe añadirse a los mensajes salientes enviados desdelas direcciones listadas en / etc / postfix / disclaimer_addresses.

Fuente:http://gnuinformation.blogspot.com

Comentarios

Entradas populares de este blog

CONSEJO COMUNAL: El Plan Comunitario de Desarrollo Integral (PDIC)

Curiosidades del número 23

Crean Nueva Unidad Tributaria Especial para calculo de Sanciones Pecuniarias